<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
UpdateReferences Method (IEdmRawReferenceMgr)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRawReferenceMgr Interface : UpdateReferences Method (IEdmRawReferenceMgr)

Visual Basic
C#
C++/CLI

poReferences
  Array of EdmRawReference structs of the references to update (see Remarks)

Updates the include paths for the file references.

# Syntax

Visual Basic |
--- | ---

    Sub UpdateReferences( _
       ByVal poReferences() As EdmRawReference _
    )

C# |
--- | ---

    void UpdateReferences(
       EdmRawReference[] poReferences
    )

C++/CLI |
--- | ---

    void UpdateReferences(
    &   array<EdmRawReference>^ poReferences
    )

#### Parameters

poReferences
  Array of EdmRawReference structs of the references to update (see Remarks)

# Example

See the IEdmRawReferenceMgr examples.

# Remarks

Use IEdmRawReferenceMgr::GetReferences to get the array of EdmRawReference structs to pass to this method.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmRawReferenceMgr Interface
IEdmRawReferenceMgr Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional